Info
Status
Check whether the job is solved or not.
GET
/
v2
/
vrp
/
jobs
/
{id}
/
status
Status
curl --request GET \
--url https://api.solvice.io/v2/vrp/jobs/{id}/status \
--header 'Authorization: <api-key>'import requests
url = "https://api.solvice.io/v2/vrp/jobs/{id}/status"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.solvice.io/v2/vrp/jobs/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"solveDuration": 123,
"errors": [
{
"message": "<string>",
"code": 123
}
],
"warnings": [
{
"message": "<string>",
"code": 123
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Api Key based authentication (apikey)
Path Parameters
Response
Status
Status of a solve job
Job ID
Status of the solve.
Available options:
QUEUED, SOLVING, SOLVED, ERROR Example:
"SOLVING"
Duration of the solve in seconds
List of errors
Show child attributes
Show child attributes
List of warnings
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Status
